[FFmpeg-cvslog] tests/fate-run.sh: Don't overlook errors from md5 tests
Andreas Rheinhardt
git at videolan.org
Wed Feb 17 00:21:46 EET 2021
ffmpeg | branch: master | Andreas Rheinhardt <andreas.rheinhardt at gmail.com> | Fri Dec 4 23:42:55 2020 +0100| [8de5d196d152f9392304b144a2e66f603a239ca7] | committer: Andreas Rheinhardt
tests/fate-run.sh: Don't overlook errors from md5 tests
The md5 test up until now ignored errors from ffmpeg (the cli) and just
md5'ed whatever ffmpeg has output; while testing scenarios in which
ffmpeg fails has its merits, errors should not be overlooked by default;
doing so also reduces the effectiveness of sanitizers as errors from
them are ignored. This has happened with a memleak in the AV1 decoder.
Reviewed-by: Anton Khirnov <anton at khirnov.net>
Signed-off-by: Andreas Rheinhardt <andreas.rheinhardt at gmail.com>
> http://git.videolan.org/gitweb.cgi/ffmpeg.git/?a=commit;h=8de5d196d152f9392304b144a2e66f603a239ca7
---
tests/fate-run.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 58d5fdbb60..b69176f7c3 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -158,7 +158,7 @@ md5pipe(){
md5(){
encfile="${outdir}/${test}.out"
cleanfiles="$cleanfiles $encfile"
- ffmpeg -y "$@" $(target_path $encfile)
+ ffmpeg -y "$@" $(target_path $encfile) || return
do_md5sum $encfile | awk '{print $1}'
}
More information about the ffmpeg-cvslog
mailing list